package com.devassistant.authentication.controller;


import com.alibaba.fastjson2.JSONObject;
import com.devassistant.authentication.service.AuthenticationService;
import com.devassistant.framework.common.IgnoreLogin;
import com.devassistant.framework.common.RestResult;
import jakarta.servlet.http.HttpServletRequest;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 权限认证接口
 */
@Slf4j
@RestController
@RequiredArgsConstructor
@RequestMapping("authentication")
public class AuthenticationController {

    private final AuthenticationService authenticationService;

    /**
     * 登录
     *
     * @return token
     */
    @IgnoreLogin
    @PostMapping("login")
    public RestResult<?> login(@RequestBody JSONObject body, HttpServletRequest request) {
        String password = body.getString("password");
        boolean loginResult = authenticationService.login(password, request);
        if (loginResult) {
            return RestResult.genSuccessResult();
        } else {
            return RestResult.genErrorResult("密码错误");
        }
    }

}
