package com.devassistant.framework.common;

import com.fasterxml.jackson.annotation.JsonValue;
import lombok.Getter;

/**
 * 全局通用响应码
 */
@Getter
public enum ResponseCode {

    SUCCESS(200, "成功"),
    BAD_REQUEST(400, "请求参数不正确"),
    SERVER_ERROR(500, "系统异常"),
    NEED_LOGIN(401, "未授权的访问"),
    PERMISSION_DENIED(403, "拒绝访问"),
    NOT_FOUND(404, "无此资源"),
    UNKNOWN(999, "未知错误");

    @JsonValue
    private final Integer code;
    private final String msg;

    ResponseCode(Integer code, String message) {
        this.code = code;
        this.msg = message;
    }
}
