import axios from 'axios';
import {ElNotification} from "element-plus";
import router from "~/router";

const http = axios.create();

// 添加请求拦截器
http.interceptors.request.use(function (config) {
    return config;
}, function (error) {
    console.log('error.response1', error.response)
    return Promise.reject(error);
});

// 添加响应拦截器
http.interceptors.response.use(function (response) {
    if (response.data.code === 400) {
        let content = response.data.message
        ElNotification({
            title: '请求参数错误',
            message: content,
            position: 'top-right',
            type: 'error',
        })
    }
    return response;
}, function (error) {
    if (error.response.status === 401) {
        router.push({path: '/login'})
    } else if (error.response.status === 403) {
        let content = error.response.data.message
        ElNotification({
            title: '操作错误',
            message: content,
            position: 'top-right',
            type: 'error',
        })
    } else if (error.response.status === 500) {
        let content = error.response.data.message
        ElNotification({
            title: '系统错误',
            message: content,
            position: 'top-right',
            type: 'error',
        })
    }
    return Promise.reject(error);
});

export default http

