import path from 'path';
import {defineConfig} from 'vite'
import AutoImport from 'unplugin-auto-import/vite'
import Icons from 'unplugin-icons/vite'
import IconsResolver from 'unplugin-icons/resolver'
import Components from 'unplugin-vue-components/vite'
import {ElementPlusResolver} from 'unplugin-vue-components/resolvers'
import vue from '@vitejs/plugin-vue'
import ElementPlus from 'unplugin-element-plus/vite'

export default defineConfig({
    base: './', resolve: {
        alias: {
            '~/': `${path.resolve(__dirname, 'src')}/`,
        }
    }, server: {
        host: '127.0.0.1', port: 81,
        proxy: {
            '/file': {
                target: 'http://127.0.0.1:8080',
                changeOrigin: true,
            },
            '/authentication': {
                target: 'http://127.0.0.1:8080',
                changeOrigin: true,
            },
            '/note': {
                target: 'http://127.0.0.1:8080',
                changeOrigin: true,
            }
        }
    },
    plugins: [vue(), AutoImport({
        imports: ['vue'], resolvers: [ElementPlusResolver(), IconsResolver({
            prefix: 'Icon',
        })]
    }), ElementPlus(), Components({
        resolvers: [IconsResolver({
            enabledCollections: ['ep'],
        }), ElementPlusResolver(),]
    }), Icons({
        autoInstall: true,
    })]
})
